import request from '@/utils/request'

/**
* 保存游戏
* @param {*} data
* @returns
*/
export const saveGame = (data) => request({
  url: '/admin/game',
  method: 'post',
  data
})

/**
 * 游戏列表
 * @param {*} params
 * @returns
 */
export const getGameList = (params) => request({
  url: '/admin/game', params
})

/**
 * 删除游戏
 * @param {*} data
 * @returns
 */
export const deleteGame = (id) => request({
  url: `/admin/game/${id}`, method: 'delete'
})
/**
 * 更新游戏
 * @param {*} data
 * @returns
 */
export const UpdateGame = (data, id) => request({
  url: `/admin/game/${id}`, method: 'put', data
})
/**
 * 查询游戏详情
 * @param {*} params
 * @returns
 */
export const getGameDetail = (id) => request({
  url: `/admin/game/${id}`
})
