import request from '@/utils/request'

/**
* 保存特征
* @param {*} data
* @returns
*/
export const saveGameCharacter = (data) => request({
  url: '/admin/game-character',
  method: 'post',
  data
})

/**
 * 特征列表
 * @param {*} params
 * @returns
 */
export const getGameCharacterList = (params) => request({
  url: '/admin/game-character', params
})

/**
 * 删除特征
 * @param {*} data
 * @returns
 */
export const deleteGameCharacter = (id) => request({
  url: `/admin/game-character/${id}`, method: 'delete'
})
/**
 * 更新特征
 * @param {*} data
 * @returns
 */
export const UpdateGameCharacter = (data, id) => request({
  url: `/admin/game-character/${id}`, method: 'put', data
})
/**
 * 查询特征详情
 * @param {*} params
 * @returns
 */
export const getGameCharacterDetail = (id) => request({
  url: `/admin/game-character/${id}`
})
